Bug 251767 - bad error message on -> channel.software.set_system_channels
Summary: bad error message on -> channel.software.set_system_channels
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API   
(Show other bugs)
Version: 510
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Brad Buckingham
QA Contact: John Matthews
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 456996
TreeView+ depends on / blocked
 
Reported: 2007-08-10 23:02 UTC by Partha Aji
Modified: 2009-09-10 19:52 UTC (History)
1 user (show)

Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 19:52:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Partha Aji 2007-08-10 23:02:08 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. Have a system that has a base channel
2. Through the rpc api calls try to subscribe 2 base channels to the system
use 

client.channel.software.set_system_channels (session_key, sys_id, [base_label_1,
base_label_2])

3. Notice the error generated...

Actual results:
xmlrpclib.Fault: <Fault -1: 'unhandled internal exception: ORA-20102:
(channel_server_one_base) - A server can be subscribed to at most one base
channel\nORA-06512: at "RHNSAT.RHN_EXCEPTION", line 23\nORA-06512: at
"RHNSAT.RHN_CHANNEL", line 93\nORA-06512: at line 1\n'>


Expected results:
Nice non oracle specific message saying "Cant subscribe 2 base channels..."

Additional info:

Comment 2 Brad Buckingham 2009-02-04 22:41:17 UTC
Modifications made with git commit: 7d24d16435a0bea08b0bb964813e7c871e71c5ae


Updated channel.software.setSystemChannels to throw an exception like the following:

Fault 1203: 'redstone.xmlrpc.XmlRpcFault: Multiple base channels selected for subscription.  The channels rhel-x86_64-server-5 and rhel-x86_64-server-6 were both selected for subscription, but a system can only be subscribed to a single base channel.'

Note: We use this same exception for other similar scenarios w/in the API.

Note: No changes will be made to the systems current channel settings when this exception is thrown.

Comment 3 John Matthews 2009-02-17 21:56:22 UTC
Verified against ISO: Satellite-5.3.0-RHEL5-re20090206.1-i386-embedded-oracle.iso 


Added automation test to rpcapi to check for error message snippet "a system can only be subscribed to a single base channel".

Comment 4 Milan Zázrivec 2009-08-26 12:04:48 UTC
Verified in stage:

<Fault 1203: 'redstone.xmlrpc.XmlRpcFault: Multiple base channels selected for 
subscription.  The channels rhel-i386-server-5.0.z and rhel-i386-server-5.1.z 
were both selected for subscription, but a system can only be subscribed to a 
single base channel.'>

RELEASE_PENDING

Comment 5 Brandon Perkins 2009-09-10 19:52:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html


Note You need to log in before you can comment on or make changes to this bug.